Only in MacPorts_Framework: .DS_Store
Only in MacPorts_Framework_orig/.svn/pristine: 76
Only in MacPorts_Framework/.svn/pristine/a0: a0859a0ab315f30229adcfc2286625239d8daa68.svn-base
Binary files MacPorts_Framework_orig/.svn/wc.db and MacPorts_Framework/.svn/wc.db differ
diff -ru MacPorts_Framework_orig/MPHelperTool.m MacPorts_Framework/MPHelperTool.m
--- MacPorts_Framework_orig/MPHelperTool.m	2015-03-07 22:15:26.000000000 -0800
+++ MacPorts_Framework/MPHelperTool.m	2015-03-06 06:59:45.000000000 -0800
@@ -995,7 +995,8 @@
 };
 
 int main(int argc, char const * argv[]) {
-	NSAutoreleasePool * pool = [[NSAutoreleasePool alloc] init];
+//// 	NSAutoreleasePool * pool = [[NSAutoreleasePool alloc] init];
+	@autoreleasepool {
 	
 	//assert(logClient != NULL);
 	
@@ -1058,21 +1059,22 @@
 //	}
 //	
 	
-	notifier = [[NotificationsClient alloc] init];
-	
-	
-	int result = BASHelperToolMain(kMPHelperCommandSet, kMPHelperCommandProcs);
-	
-	// Clean up.
-	//DoQuit(globalConn);
+		notifier = [[NotificationsClient alloc] init];
+		
+		
+		int result = BASHelperToolMain(kMPHelperCommandSet, kMPHelperCommandProcs);
+		
+		// Clean up.
+		//DoQuit(globalConn);
    // ConnectionClose(globalConn);
-	//asl_close(logClient);
-	
-	[notifier closeConnection];
-	[notifier release];
-	[ipcFilePath release];
-	
-	[pool release];
-	
-	return result;
+		//asl_close(logClient);
+		
+		[notifier closeConnection];
+//// 	[notifier release];
+//// 	[ipcFilePath release];
+		
+////    [pool release];
+
+		return result;
+	}
 }
\ No newline at end of file
diff -ru MacPorts_Framework_orig/MPIndex.m MacPorts_Framework/MPIndex.m
--- MacPorts_Framework_orig/MPIndex.m	2015-03-07 22:15:26.000000000 -0800
+++ MacPorts_Framework/MPIndex.m	2015-03-06 06:59:45.000000000 -0800
@@ -54,9 +54,9 @@
 	return self;
 }
 
-- (void)dealloc {
-	[super dealloc];
-}
+//// - (void)dealloc {
+//// 	[super dealloc];
+//// }
 
 /*
  * We enumerate the list of ports, adding each port object to our own dictionary instead of simply copying the
diff -ru MacPorts_Framework_orig/MPInterpreter.m MacPorts_Framework/MPInterpreter.m
--- MacPorts_Framework_orig/MPInterpreter.m	2015-03-07 22:15:26.000000000 -0800
+++ MacPorts_Framework/MPInterpreter.m	2015-03-06 06:59:45.000000000 -0800
@@ -38,6 +38,9 @@
 #include "BetterAuthorizationSampleLib.h"
 #include "MPHelperCommon.h"
 #include "MPHelperNotificationsProtocol.h"
+//// Added
+#import "MPPortProcess.h"
+#import "MPNotifications+IPCAdditions.h"
 static AuthorizationRef internalMacPortsAuthRef;
 static NSString* GenericPKGPath = @"/Library/Tcl";
 static NSString* PKGPath = @"/opt/local/share/macports/Tcl";
@@ -172,7 +175,7 @@
 
 +(void) setPKGPath:(NSString*)newPath {
     if([PKGPath isNotEqualTo:newPath]) {
-        [PKGPath release];
+////         [PKGPath release];
         PKGPath = [newPath copy];
         //I should check if interp is nil. *not needed now
         MPInterpreter *interp = (MPInterpreter*) [[[NSThread currentThread] threadDictionary] objectForKey:@"sharedMPInterpreter"];
@@ -355,22 +358,22 @@
     return self;
 }
 
-- (id)retain {
-    return self;
-}
-
-- (NSUInteger)retainCount
-{
-    return NSUIntegerMax;  //denotes an object that cannot be released
-}
-
-- (void)release {
-	
-}
-
-- (id)autorelease {
-    return self;
-}
+//// - (id)retain {
+////     return self;
+//// }
+////
+//// - (NSUInteger)retainCount
+//// {
+////     return NSUIntegerMax;  //denotes an object that cannot be released
+//// }
+////
+//// - (void)release {
+////
+//// }
+////
+//// - (id)autorelease {
+////     return self;
+//// }
 
 #pragma Port Operations
 
@@ -390,7 +393,8 @@
 			[array addObject:[NSString stringWithUTF8String:tclElements[i]]];
 		}
 	} else {
-		array = [[[NSMutableArray alloc] init] autorelease];
+//// 		array = [[[NSMutableArray alloc] init] autorelease];
+		array = [[NSMutableArray alloc] init];
 	}
 	Tcl_Free((char *)tclElements);
 	return [NSArray arrayWithArray:array];
@@ -449,18 +453,21 @@
 		//For now all error codes are TCL_ERROR
 		
 		//Create underlying error - For now I'll create the underlying Posix Error
-		NSError *undError = [[[NSError alloc] initWithDomain:NSPOSIXErrorDomain
+//// 		NSError *undError = [[[NSError alloc] initWithDomain:NSPOSIXErrorDomain
+		NSError *undError = [[NSError alloc] initWithDomain:NSPOSIXErrorDomain
 														code:errCode 
-													userInfo:nil] autorelease];
+////                                                    userInfo:nil] autorelease];
+													userInfo:nil];
 		//Create and return custom domain error
 		NSArray *objArray = [NSArray arrayWithObjects:descrip, undError, nil];
 		NSArray *keyArray = [NSArray arrayWithObjects:NSLocalizedDescriptionKey,
 							 NSUnderlyingErrorKey, nil];
 		errDict = [NSDictionary dictionaryWithObjects:objArray forKeys:keyArray];
 		if (mportError != NULL)
-			*mportError = [[[NSError alloc] initWithDomain:MPFrameworkErrorDomain 
+			*mportError = [[NSError alloc] initWithDomain:MPFrameworkErrorDomain 
 													  code:TCL_ERROR 
-												  userInfo:errDict] autorelease];
+////                                                  userInfo:errDict] autorelease];
+												  userInfo:errDict];
 		return nil;
 	}
 	
@@ -566,21 +573,21 @@
 	
 	BASSetDefaultRules(internalMacPortsAuthRef, 
 					   kMPHelperCommandSet, 
-					   (CFStringRef) bundleID, 
+					   (__bridge CFStringRef) bundleID,
 					   NULL);
 	
 	//NSLog(@"BEFORE Tool Execution request is %@ , response is %@ \n\n", request, response);
 	err = BASExecuteRequestInHelperTool(internalMacPortsAuthRef, 
 										kMPHelperCommandSet, 
-										(CFStringRef) bundleID, 
-										(CFDictionaryRef) request, 
+										(__bridge CFStringRef) bundleID,
+										(__bridge CFDictionaryRef) request,
 										&response);
 	if (err == noErr){// retrieve result here if available
 		if( response != NULL)
 			result = (NSString *) (CFStringRef) CFDictionaryGetValue(response, CFSTR(kTclStringEvaluationResult));
 	}
 	else { //Try to recover error
-		failCode = BASDiagnoseFailure(internalMacPortsAuthRef, (CFStringRef) bundleID);
+		failCode = BASDiagnoseFailure(internalMacPortsAuthRef, (__bridge CFStringRef) bundleID);
 		
 		
 		//Need to pass in URL's to helper and install tools since I
@@ -598,9 +605,9 @@
 		assert(helperToolURL != nil);
 		
 		err = BASFixFailure(internalMacPortsAuthRef, 
-							(CFStringRef) bundleID, 
-							(CFURLRef) installToolURL,
-							(CFURLRef) helperToolURL,
+							(__bridge CFStringRef) bundleID,
+							(__bridge CFURLRef) installToolURL,
+							(__bridge CFURLRef) helperToolURL,
 							failCode);
 		
 		
@@ -614,14 +621,17 @@
 			if (mportError != NULL) {
 				//I'm not sure of exactly how to report this error ... 
 				//Do we need some error codes for our domain? I'll define one
-				NSError * undError = [[[NSError alloc] initWithDomain:NSOSStatusErrorDomain 
+//// 				NSError * undError = [[[NSError alloc] initWithDomain:NSOSStatusErrorDomain
+				NSError * undError = [[NSError alloc] initWithDomain:NSOSStatusErrorDomain
 																 code:err 
 															 userInfo:[NSDictionary dictionaryWithObjectsAndKeys:
 																	   NSLocalizedString(@"Check error code for OSStatus returned",@""), 
 																	   NSLocalizedDescriptionKey,
-																	   nil]] autorelease];
+//// 																	   nil]] autorelease];
+																	   nil]];
 				
-				*mportError = [[[NSError alloc] initWithDomain:MPFrameworkErrorDomain 
+//// 				*mportError = [[[NSError alloc] initWithDomain:MPFrameworkErrorDomain
+				*mportError = [[NSError alloc] initWithDomain:MPFrameworkErrorDomain
 														  code:MPHELPINSTFAILED 
 													  userInfo:[NSDictionary dictionaryWithObjectsAndKeys:
 																NSLocalizedString(@"Unable to fix faliure for MPHelperTool execution", @""), 
@@ -629,7 +639,8 @@
 																undError, NSUnderlyingErrorKey,
 																NSLocalizedString(@"BASFixFaliure routine wasn't completed successfuly", @""),
 																NSLocalizedFailureReasonErrorKey,
-																nil]] autorelease];
+//// 																nil]] autorelease];
+																nil]];
 			}
 		}
 	}
@@ -705,7 +716,7 @@
 
     BASSetDefaultRules(internalMacPortsAuthRef, 
                         kMPHelperCommandSet, 
-                        (CFStringRef) bundleID, 
+                        (__bridge CFStringRef) bundleID,
                         NULL);
     BASTerminateCommand(internalMacPortsAuthRef, 
                         [bundleID UTF8String], 
@@ -741,7 +752,7 @@
 	[task launch];
 	[task waitUntilExit];
 	int status = [task terminationStatus];
-	[task release];
+//// 	[task release];
 	return status;
 }
 
diff -ru MacPorts_Framework_orig/MPInterpreterTest.m MacPorts_Framework/MPInterpreterTest.m
--- MacPorts_Framework_orig/MPInterpreterTest.m	2015-03-07 22:15:26.000000000 -0800
+++ MacPorts_Framework/MPInterpreterTest.m	2015-03-06 06:59:45.000000000 -0800
@@ -44,7 +44,7 @@
 }
 
 - (void)tearDown {
-	[interp release];
+//// 	[interp release];
 }
 
 - (void)testInitialization {
diff -ru MacPorts_Framework_orig/MPMacPorts.m MacPorts_Framework/MPMacPorts.m
--- MacPorts_Framework_orig/MPMacPorts.m	2015-03-07 22:15:26.000000000 -0800
+++ MacPorts_Framework/MPMacPorts.m	2015-03-06 06:59:45.000000000 -0800
@@ -111,22 +111,22 @@
     return self;
 }
 
-- (id)retain {
-    return self;
-}
-
-- (NSUInteger)retainCount
-{
-    return NSUIntegerMax;  //denotes an object that cannot be released
-}
-
-- (void)release {
-    //do nothing
-}
-
-- (id)autorelease {
-    return self;
-}
+//// - (id)retain {
+////     return self;
+//// }
+////
+//// - (NSUInteger)retainCount
+//// {
+////     return NSUIntegerMax;  //denotes an object that cannot be released
+//// }
+////
+//// - (void)release {
+////     //do nothing
+//// }
+////
+//// - (id)autorelease {
+////     return self;
+//// }
 
 #pragma MacPorts API
 
@@ -254,7 +254,7 @@
 
 - (NSArray *)sources:(BOOL)refresh {
 	if (refresh) {
-		[sources release];
+//// 		[sources release];
 		sources = nil;
 	}
 	return [self sources];
@@ -302,8 +302,8 @@
 }
 
 -(void) setDelegate:(id)aDelegate {
-	[aDelegate retain];
-	[macportsDelegate release];
+//// 	[aDelegate retain];
+//// 	[macportsDelegate release];
 	macportsDelegate = aDelegate;
 }
 
@@ -311,7 +311,7 @@
 - (void) setAuthorizationRef { 
 	if ([[self delegate] respondsToSelector:@selector(getAuthorizationRef)]) {
 		
-		AuthorizationRef clientRef = (AuthorizationRef) [[self delegate] performSelector:@selector(getAuthorizationRef)];
+		AuthorizationRef clientRef = (__bridge AuthorizationRef) [[self delegate] performSelector:@selector(getAuthorizationRef)];
 		[interpreter setAuthorizationRef:clientRef];
 	}
 }
diff -ru MacPorts_Framework_orig/MPMacPortsTest.m MacPorts_Framework/MPMacPortsTest.m
--- MacPorts_Framework_orig/MPMacPortsTest.m	2015-03-07 22:15:26.000000000 -0800
+++ MacPorts_Framework/MPMacPortsTest.m	2015-03-06 06:59:45.000000000 -0800
@@ -42,7 +42,7 @@
 }
 
 - (void) tearDown {
-	[testPort release];
+//// 	[testPort release];
 }
 
 
diff -ru MacPorts_Framework_orig/MPMutableDictionary.m MacPorts_Framework/MPMutableDictionary.m
--- MacPorts_Framework_orig/MPMutableDictionary.m	2015-03-07 22:15:26.000000000 -0800
+++ MacPorts_Framework/MPMutableDictionary.m	2015-03-06 06:59:45.000000000 -0800
@@ -54,10 +54,10 @@
 	return self;
 }
 
-- (void) dealloc {
-	[embeddedDictionary release];
-	[super dealloc];
-}
+//// - (void) dealloc {
+//// 	[embeddedDictionary release];
+//// 	[super dealloc];
+//// }
 
 - (unsigned)count {
 	return [embeddedDictionary count];
diff -ru MacPorts_Framework_orig/MPNotifications+IPCAdditions.m MacPorts_Framework/MPNotifications+IPCAdditions.m
--- MacPorts_Framework_orig/MPNotifications+IPCAdditions.m	2015-03-07 22:15:27.000000000 -0800
+++ MacPorts_Framework/MPNotifications+IPCAdditions.m	2015-03-06 06:59:45.000000000 -0800
@@ -1350,15 +1350,16 @@
 }
 
 -(void) startIPCServerThread:(NSDictionary *)serverInfo {
-	NSAutoreleasePool * sPool = [[NSAutoreleasePool alloc] init];
+//// 	NSAutoreleasePool * sPool = [[NSAutoreleasePool alloc] init];
+	@autoreleasepool {
 	
-	NSLog(@"INSIDE SERVER THREAD");
-	
-	[[MPNotifications sharedListener] 
-	 setPerformingTclCommand:[serverInfo objectForKey:@"currentMethod"]];
-	
-	//Configure runloop
-	int         err = 0;
+		NSLog(@"INSIDE SERVER THREAD");
+		
+		[[MPNotifications sharedListener] 
+		 setPerformingTclCommand:[serverInfo objectForKey:@"currentMethod"]];
+		
+		//Configure runloop
+		int         err = 0;
     int         listenerFD;
     CFSocketRef listenerCF;
     Boolean     didBind;
@@ -1366,85 +1367,85 @@
     didBind    = false;
     listenerFD = -1;
     listenerCF = NULL;
-	
-	
-	
-	
-	// Ignore SIGPIPE because it's a deeply annoying concept.  If you don't ignore 
-	// SIGPIPE when writing to a UNIX domain socket whose far side has been closed 
-	// will trigger a SIGPIPE, whose default action is to terminate the program.
+		
+		
+		
+		
+		// Ignore SIGPIPE because it's a deeply annoying concept.  If you don't ignore 
+		// SIGPIPE when writing to a UNIX domain socket whose far side has been closed 
+		// will trigger a SIGPIPE, whose default action is to terminate the program.
     if (err == 0) {
         fprintf(stderr, "CFLocalServer: Starting up (pid: %ld).\n", (long) getpid());
-		NSLog(@"CFLocalServer: Starting up (pid: %ld).\n", (long) getpid());
+			NSLog(@"CFLocalServer: Starting up (pid: %ld).\n", (long) getpid());
         err = MoreUNIXIgnoreSIGPIPE();
     }
     
-	// Set up the signal handlers we are interested in.  In this case we redirect 
-	// SIGINT and SIGINFO to our runloop.  If either of these signals occurs, we 
-	// end up executing SignalRunLoopCallback.
+		// Set up the signal handlers we are interested in.  In this case we redirect 
+		// SIGINT and SIGINFO to our runloop.  If either of these signals occurs, we 
+		// end up executing SignalRunLoopCallback.
     if (err == 0) {
-		if (hasInstalledSignalsToSocket == 0) {
+			if (hasInstalledSignalsToSocket == 0) {
         sigset_t    interestingSignals;
         (void) sigemptyset(&interestingSignals);
         (void) sigaddset(&interestingSignals, SIGINT);
         (void) sigaddset(&interestingSignals, SIGINFO);
         
         err = InstallSignalToSocket(
-									&interestingSignals,
-									CFRunLoopGetCurrent(),
-									kCFRunLoopDefaultMode,
-									SignalRunLoopCallback,
-									NULL
-									);
-			if (err == 0) {
-				NSLog(@"Successfuly loaded signals to socket");
-				hasInstalledSignalsToSocket = 1;
+										&interestingSignals,
+										CFRunLoopGetCurrent(),
+										kCFRunLoopDefaultMode,
+										SignalRunLoopCallback,
+										NULL
+										);
+				if (err == 0) {
+					NSLog(@"Successfuly loaded signals to socket");
+					hasInstalledSignalsToSocket = 1;
+				}
+				else
+					NSLog(@"Attempted to unsucessfully to Install signal to socket");
 			}
-			else
-				NSLog(@"Attempted to unsucessfully to Install signal to socket");
-		}
     }
-	
-	// Create the initial client set.
+		
+		// Create the initial client set.
     if (err == 0) {
-		err = ClientInitialise();
-		NSLog(@"Initilalizing Client");
+			err = ClientInitialise();
+			NSLog(@"Initilalizing Client");
     }
     
-	// Create our listening socket, bind it, and then wrap it in a CFSocket.
+		// Create our listening socket, bind it, and then wrap it in a CFSocket.
     if (err == 0) {
         listenerFD = socket(AF_UNIX, SOCK_STREAM, 0);
         err = MoreUNIXErrno(listenerFD);
-		NSLog(@"Creating Socket");
+			NSLog(@"Creating Socket");
     }
     if (err == 0) {
         //err = SafeBindUnixDomainSocket(listenerFD, kServerSocketPath);
-		//NSLog(@"Socket file path is %@", socketFilePath);
-		err = SafeBindUnixDomainSocket(listenerFD, [[serverInfo objectForKey:@"ipcFilePath"] cStringUsingEncoding:NSUTF8StringEncoding]);
-		didBind = (err == 0);
-		NSLog(@"Binding Socket %i", err);
+			//NSLog(@"Socket file path is %@", socketFilePath);
+			err = SafeBindUnixDomainSocket(listenerFD, [[serverInfo objectForKey:@"ipcFilePath"] cStringUsingEncoding:NSUTF8StringEncoding]);
+			didBind = (err == 0);
+			NSLog(@"Binding Socket %i", err);
     }
     if (err == 0) {
         err = listen(listenerFD, 5);
         err = MoreUNIXErrno(err);
-		NSLog(@"Listening Socket");
+			NSLog(@"Listening Socket");
     }
     if (err == 0) {
         listenerCF = CFSocketCreateWithNative(
-											  NULL, 
-											  (CFSocketNativeHandle) listenerFD, 
-											  kCFSocketAcceptCallBack, 
-											  ListeningSocketAcceptCallback, 
-											  NULL);
-		
-		NSLog(@"Creating Callbacks!");
+												  NULL, 
+												  (CFSocketNativeHandle) listenerFD, 
+												  kCFSocketAcceptCallBack, 
+												  ListeningSocketAcceptCallback, 
+												  NULL);
+			
+			NSLog(@"Creating Callbacks!");
         if (listenerCF == NULL) {
             err = EINVAL;
         }
     }
     
-	// Schedule the listening socket on our runloop.
-	NSRunLoop * currentLoop = [NSRunLoop currentRunLoop];
+		// Schedule the listening socket on our runloop.
+		NSRunLoop * currentLoop = [NSRunLoop currentRunLoop];
     if (err == 0) {
         CFRunLoopSourceRef  rls;
         
@@ -1454,40 +1455,41 @@
         } else {
             CFRunLoopAddSource( [currentLoop getCFRunLoop], rls, kCFRunLoopDefaultMode);
             NSLog(@"Adding Source to current runloop");
-			
+				
             // We no longer need this source, so we just release it.
             CFRelease(rls);
         }
     }
-	
-	
-	double resolution = 0.1;
-	BOOL isRunning;
-	
-	//Add input sources to my run loop 
-	//terminateBackgroundThread is going to be set to NO before the privileged operation is called
-	//it will be set to YES after the privileged operation finishes execution. So I guess I need
-	//accessor methods?
-	NSThread * cThread = [NSThread currentThread];
-	NSLog(@"RUNNING RUN LOOP with thread %@" , [cThread threadDictionary]);
-	
-	do {
-		NSDate * nextDate = [NSDate dateWithTimeIntervalSinceNow:resolution];
-		isRunning = [currentLoop runMode:NSDefaultRunLoopMode beforeDate:nextDate];
-		
-		//NSLog(@"running runloop");
-		//might add some code here to clean up and recreate autoreleasepool
-	//}	while (isRunning && terminateBackgroundThread == NO);
-	} while (isRunning || clientHasQuit == 0);
 		
 		
-	//Forcibly terminate runloop N.B. ClientQuit() which is invoked
-	//before this call also terminates applications main runloop ...
-	//check to ensure that that doesn't create problems
-	CFRunLoopStop([currentLoop getCFRunLoop]);
-	
-	[[MPNotifications sharedListener] setPerformingTclCommand:@""];
-	[sPool release];
+		double resolution = 0.1;
+		BOOL isRunning;
+		
+		//Add input sources to my run loop 
+		//terminateBackgroundThread is going to be set to NO before the privileged operation is called
+		//it will be set to YES after the privileged operation finishes execution. So I guess I need
+		//accessor methods?
+		NSThread * cThread = [NSThread currentThread];
+		NSLog(@"RUNNING RUN LOOP with thread %@" , [cThread threadDictionary]);
+		
+		do {
+			NSDate * nextDate = [NSDate dateWithTimeIntervalSinceNow:resolution];
+			isRunning = [currentLoop runMode:NSDefaultRunLoopMode beforeDate:nextDate];
+			
+			//NSLog(@"running runloop");
+			//might add some code here to clean up and recreate autoreleasepool
+		//}	while (isRunning && terminateBackgroundThread == NO);
+		} while (isRunning || clientHasQuit == 0);
+			
+			
+		//Forcibly terminate runloop N.B. ClientQuit() which is invoked
+		//before this call also terminates applications main runloop ...
+		//check to ensure that that doesn't create problems
+		CFRunLoopStop([currentLoop getCFRunLoop]);
+		
+		[[MPNotifications sharedListener] setPerformingTclCommand:@""];
+////    [sPool release];
+	}
 }
 
 -(void) prepareIPCServerThread {
diff -ru MacPorts_Framework_orig/MPNotifications.m MacPorts_Framework/MPNotifications.m
--- MacPorts_Framework_orig/MPNotifications.m	2015-03-07 22:15:27.000000000 -0800
+++ MacPorts_Framework/MPNotifications.m	2015-03-06 06:59:45.000000000 -0800
@@ -65,21 +65,21 @@
 	return self;
 }
 
-- (id)retain {
-	return self;
-}
-
-- (NSUInteger)retainCount {
-    return NSUIntegerMax;  //denotes an object that cannot be released
-}
-
--(void) release {
-	//do nothing
-}
-
-- (id) autorelease {
-	return self;
-}
+//// - (id)retain {
+//// 	return self;
+//// }
+////
+//// - (NSUInteger)retainCount {
+////     return NSUIntegerMax;  //denotes an object that cannot be released
+//// }
+////
+//// -(void) release {
+//// 	//do nothing
+//// }
+////
+//// - (id) autorelease {
+//// 	return self;
+//// }
 
 - (id)init {
 	if (self = [super init]) {
@@ -95,9 +95,9 @@
 }
 
 
-- (void)dealloc {
-	[super dealloc];
-}
+//// - (void)dealloc {
+//// 	[super dealloc];
+//// }
 
 //Should I raise an exception for invalid blockOptions that are
 //passed to this method?
diff -ru MacPorts_Framework_orig/MPPort.m MacPorts_Framework/MPPort.m
--- MacPorts_Framework_orig/MPPort.m	2015-03-07 22:15:27.000000000 -0800
+++ MacPorts_Framework/MPPort.m	2015-03-06 06:59:45.000000000 -0800
@@ -34,6 +34,8 @@
  */
 
 #import "MPPort.h"
+//// Added
+#import "MPMacPorts.h"
 
 
 @implementation MPPort
@@ -77,9 +79,9 @@
 	return self;
 }
 
-- (void) dealloc {
-	[super dealloc];
-}
+//// - (void) dealloc {
+//// 	[super dealloc];
+//// }
 
 - (void) setPortWithTclListAsString:(NSString *)string {
 	MPInterpreter *interpreter;
diff -ru MacPorts_Framework_orig/MPPortManipulationTest.m MacPorts_Framework/MPPortManipulationTest.m
--- MacPorts_Framework_orig/MPPortManipulationTest.m	2015-03-07 22:15:26.000000000 -0800
+++ MacPorts_Framework/MPPortManipulationTest.m	2015-03-06 06:59:45.000000000 -0800
@@ -131,7 +131,7 @@
 
 	PortManipulator * pm = [[PortManipulator alloc] init];
 	STAssertTrue([pm installUninstallManipulation:@"pngcrush"] , @"This test should always return true on success");
-	[pm release];
+//// 	[pm release];
     
 }
 
diff -ru MacPorts_Framework_orig/MPPortProcess.m MacPorts_Framework/MPPortProcess.m
--- MacPorts_Framework_orig/MPPortProcess.m	2015-03-07 22:15:26.000000000 -0800
+++ MacPorts_Framework/MPPortProcess.m	2015-03-06 06:59:45.000000000 -0800
@@ -76,28 +76,30 @@
 @end
 
 int main(int argc, char const * argv[]) {
-    NSAutoreleasePool *pool = [[NSAutoreleasePool alloc] init];
+////     NSAutoreleasePool *pool = [[NSAutoreleasePool alloc] init];
+    @autoreleasepool {
     
-    NSConnection *portProcessConnection; 
-    portProcessConnection = [NSConnection defaultConnection];
-    NSString *PKGPath = [[NSString alloc] initWithCString:argv[1] encoding:NSUTF8StringEncoding];
-    
-    MPPortProcess *portProcess = [[MPPortProcess alloc] initWithPKGPath:PKGPath];
-    
-    // Vending portProcess
-    [portProcessConnection setRootObject:portProcess];
-    
-    // Register the named connection
-    if ( [portProcessConnection registerName:@"MPPortProcess"] ) {
-        NSLog( @"Successfully registered connection with port %@", 
-              [[portProcessConnection receivePort] description] );
-    } else {
-        NSLog( @"Name used by %@", 
-              [[[NSPortNameServer systemDefaultPortNameServer] portForName:@"MPPortProcess"] description] );
-    }
-    
-    // Wait for any message
-    [[NSRunLoop currentRunLoop] run];
-  	[pool release];
+        NSConnection *portProcessConnection; 
+        portProcessConnection = [NSConnection defaultConnection];
+        NSString *PKGPath = [[NSString alloc] initWithCString:argv[1] encoding:NSUTF8StringEncoding];
+        
+        MPPortProcess *portProcess = [[MPPortProcess alloc] initWithPKGPath:PKGPath];
+        
+        // Vending portProcess
+        [portProcessConnection setRootObject:portProcess];
+        
+        // Register the named connection
+        if ( [portProcessConnection registerName:@"MPPortProcess"] ) {
+            NSLog( @"Successfully registered connection with port %@", 
+                  [[portProcessConnection receivePort] description] );
+        } else {
+            NSLog( @"Name used by %@", 
+                  [[[NSPortNameServer systemDefaultPortNameServer] portForName:@"MPPortProcess"] description] );
+        }
+        
+        // Wait for any message
+        [[NSRunLoop currentRunLoop] run];
+////         [pool release];
+  	}
     return 0;
 }
\ No newline at end of file
diff -ru MacPorts_Framework_orig/MPReceipt.m MacPorts_Framework/MPReceipt.m
--- MacPorts_Framework_orig/MPReceipt.m	2015-03-07 22:15:26.000000000 -0800
+++ MacPorts_Framework/MPReceipt.m	2015-03-06 06:59:45.000000000 -0800
@@ -54,9 +54,9 @@
 	return self;
 }
 
-- (void) dealloc {
-	[super dealloc];
-}
+//// - (void) dealloc {
+//// 	[super dealloc];
+//// }
 
 #pragma MPMutableDictionary Protocal
 
diff -ru MacPorts_Framework_orig/MPRegistry.m MacPorts_Framework/MPRegistry.m
--- MacPorts_Framework_orig/MPRegistry.m	2015-03-07 22:15:27.000000000 -0800
+++ MacPorts_Framework/MPRegistry.m	2015-03-06 06:35:51.000000000 -0800
@@ -68,21 +68,21 @@
     return self;
 }
 
-- (id)retain {
-    return self;
-}
-
-- (NSUInteger)retainCount {
-    return NSUIntegerMax;  //denotes an object that cannot be released
-}
-
-- (void)release {
-    //do nothing
-}
-
-- (id)autorelease {
-    return self;
-}
+//// - (id)retain {
+////     return self;
+//// }
+////
+//// - (NSUInteger)retainCount {
+////     return NSUIntegerMax;  //denotes an object that cannot be released
+//// }
+////
+//// - (void)release {
+////     //do nothing
+//// }
+////
+//// - (id)autorelease {
+////     return self;
+//// }
 
 - (NSDictionary *)installed {
 	return [self installed:@""];
diff -ru MacPorts_Framework_orig/MacPorts.Framework.xcodeproj/project.pbxproj MacPorts_Framework/MacPorts.Framework.xcodeproj/project.pbxproj
--- MacPorts_Framework_orig/MacPorts.Framework.xcodeproj/project.pbxproj	2015-03-07 22:15:26.000000000 -0800
+++ MacPorts_Framework/MacPorts.Framework.xcodeproj/project.pbxproj	2015-03-07 21:58:35.000000000 -0800
@@ -610,7 +610,7 @@
 				489DD8EF0C94365F00595506 /* Resources */,
 				489DD8F00C94365F00595506 /* Sources */,
 				489DD8F10C94365F00595506 /* Frameworks */,
-				489DD8F20C94365F00595506 /* ShellScript */,
+				489DD8F20C94365F00595506 /* Run Script */,
 			);
 			buildRules = (
 			);
@@ -702,6 +702,7 @@
 			isa = PBXProject;
 			attributes = {
 				BuildIndependentTargetsInParallel = NO;
+				LastUpgradeCheck = 0510;
 			};
 			buildConfigurationList = 1DEB91B108733DA50010E9CD /* Build configuration list for PBXProject "MacPorts.Framework" */;
 			compatibilityVersion = "Xcode 2.4";
@@ -792,7 +793,7 @@
 			shellPath = "/usr/bin/env ruby";
 			shellScript = "# This script just copies the framework to the build directory so that it can be found by Pallet\n# in any configuration.\nrequire 'fileutils'\n\nif File.directory? \"#{ENV['SRCROOT']}/../MacPorts_Framework/build/MacPorts.framework\"\n  FileUtils.rm_rf \"#{ENV['SRCROOT']}/../MacPorts_Framework/build/MacPorts.framework\"\nend\n\nFileUtils.cp_r \"#{ENV['SRCROOT']}/../MacPorts_Framework/build/#{ENV['CONFIGURATION']}/MacPorts.framework\", \"#{ENV['SRCROOT']}/../MacPorts_Framework/build\"\n";
 		};
-		489DD8F20C94365F00595506 /* ShellScript */ = {
+		489DD8F20C94365F00595506 /* Run Script */ = {
 			isa = PBXShellScriptBuildPhase;
 			buildActionMask = 2147483647;
 			comments = "cd ~\nif [ -f /Library/LaunchDaemons/org.macports.frameworks.macports.plist ]\nthen\n\techo removing BAStuff\n\tsh mptooluninstall.sh\n\techo done removing BAStuff\nelse\n\techo nothing to Remove\nfi";
@@ -800,6 +801,7 @@
 			);
 			inputPaths = (
 			);
+			name = "Run Script";
 			outputPaths = (
 			);
 			runOnlyForDeploymentPostprocessing = 0;
@@ -967,8 +969,8 @@
 		1DEB91AE08733DA50010E9CD /* Debug */ = {
 			isa = XCBuildConfiguration;
 			buildSettings = {
-				ARCHS = "$(ARCHS_STANDARD_32_64_BIT_PRE_XCODE_3_1)";
-				ARCHS_STANDARD_32_64_BIT_PRE_XCODE_3_1 = "x86_64 i386 ppc";
+				ARCHS = "$(ARCHS_STANDARD_64_BIT)";
+				CLANG_ENABLE_OBJC_ARC = YES;
 				COPY_PHASE_STRIP = NO;
 				DYLIB_COMPATIBILITY_VERSION = 1;
 				DYLIB_CURRENT_VERSION = 1.2;
@@ -976,6 +978,7 @@
 				GCC_DYNAMIC_NO_PIC = NO;
 				GCC_ENABLE_FIX_AND_CONTINUE = YES;
 				GCC_ENABLE_OBJC_EXCEPTIONS = YES;
+				GCC_ENABLE_OBJC_GC = NO;
 				GCC_MODEL_TUNING = G5;
 				GCC_OPTIMIZATION_LEVEL = 0;
 				GCC_PRECOMPILE_PREFIX_HEADER = YES;
@@ -988,7 +991,9 @@
 				);
 				LIBRARY_SEARCH_PATHS_QUOTED_FOR_TARGET_1 = "\"$(SRCROOT)\"";
 				LIBRARY_SEARCH_PATHS_QUOTED_FOR_TARGET_2 = "\"$(SRCROOT)\"";
+				MACOSX_DEPLOYMENT_TARGET = 10.6;
 				PRODUCT_NAME = MacPorts;
+				SDKROOT = macosx10.8;
 				SYMROOT = build;
 				WRAPPER_EXTENSION = framework;
 				ZERO_LINK = NO;
@@ -998,10 +1003,13 @@
 		1DEB91AF08733DA50010E9CD /* Release */ = {
 			isa = XCBuildConfiguration;
 			buildSettings = {
+				ARCHS = "$(ARCHS_STANDARD_64_BIT)";
+				CLANG_ENABLE_OBJC_ARC = YES;
 				DYLIB_COMPATIBILITY_VERSION = 1;
 				DYLIB_CURRENT_VERSION = 1.2;
 				FRAMEWORK_VERSION = A;
 				GCC_ENABLE_OBJC_EXCEPTIONS = YES;
+				GCC_ENABLE_OBJC_GC = NO;
 				GCC_GENERATE_DEBUGGING_SYMBOLS = NO;
 				GCC_MODEL_TUNING = G5;
 				GCC_PRECOMPILE_PREFIX_HEADER = YES;
@@ -1014,7 +1022,9 @@
 				);
 				LIBRARY_SEARCH_PATHS_QUOTED_FOR_TARGET_1 = "\"$(SRCROOT)\"";
 				LIBRARY_SEARCH_PATHS_QUOTED_FOR_TARGET_2 = "\"$(SRCROOT)\"";
+				MACOSX_DEPLOYMENT_TARGET = 10.6;
 				PRODUCT_NAME = MacPorts;
+				SDKROOT = macosx10.8;
 				WRAPPER_EXTENSION = framework;
 				ZERO_LINK = NO;
 			};
@@ -1023,15 +1033,15 @@
 		1DEB91B208733DA50010E9CD /* Debug */ = {
 			isa = XCBuildConfiguration;
 			buildSettings = {
-				ARCHS = "$(ARCHS_STANDARD_32_64_BIT_PRE_XCODE_3_1)";
-				ARCHS_STANDARD_32_64_BIT_PRE_XCODE_3_1 = "x86_64 i386 ppc";
+				ARCHS = "$(ARCHS_STANDARD)";
 				DEBUG_INFORMATION_FORMAT = stabs;
-				GCC_ENABLE_OBJC_GC = YES;
+				GCC_ENABLE_OBJC_GC = NO;
 				GCC_WARN_ABOUT_RETURN_TYPE = YES;
 				GCC_WARN_UNUSED_VARIABLE = YES;
+				MACOSX_DEPLOYMENT_TARGET = 10.6;
 				ONLY_ACTIVE_ARCH = NO;
 				PREBINDING = NO;
-				SDKROOT = /Developer/SDKs/MacOSX10.5.sdk;
+				SDKROOT = macosx10.8;
 				ZERO_LINK = NO;
 			};
 			name = Debug;
@@ -1039,13 +1049,14 @@
 		1DEB91B308733DA50010E9CD /* Release */ = {
 			isa = XCBuildConfiguration;
 			buildSettings = {
-				ARCHS = "$(ARCHS_STANDARD_32_64_BIT_PRE_XCODE_3_1)";
+				ARCHS = "$(ARCHS_STANDARD)";
 				ARCHS_STANDARD_32_64_BIT_PRE_XCODE_3_1 = "ppc i386 ppc64 x86_64";
-				GCC_ENABLE_OBJC_GC = YES;
+				GCC_ENABLE_OBJC_GC = NO;
 				GCC_WARN_ABOUT_RETURN_TYPE = YES;
 				GCC_WARN_UNUSED_VARIABLE = YES;
+				MACOSX_DEPLOYMENT_TARGET = 10.6;
 				PREBINDING = NO;
-				SDKROOT = /Developer/SDKs/MacOSX10.5.sdk;
+				SDKROOT = macosx10.8;
 				ZERO_LINK = NO;
 			};
 			name = Release;
@@ -1053,14 +1064,14 @@
 		216010B01094C7FC00EE9CD0 /* Release-Tiger */ = {
 			isa = XCBuildConfiguration;
 			buildSettings = {
-				ARCHS = "$(ARCHS_STANDARD_32_BIT_PRE_XCODE_3_1)";
-				ARCHS_STANDARD_32_BIT_PRE_XCODE_3_1 = "ppc i386";
-				GCC_ENABLE_OBJC_GC = YES;
-				GCC_VERSION = 4.0;
+				ARCHS = "$(ARCHS_STANDARD)";
+				GCC_ENABLE_OBJC_GC = NO;
+				GCC_VERSION = "";
 				GCC_WARN_ABOUT_RETURN_TYPE = YES;
 				GCC_WARN_UNUSED_VARIABLE = YES;
+				MACOSX_DEPLOYMENT_TARGET = 10.6;
 				PREBINDING = NO;
-				SDKROOT = /Developer/SDKs/MacOSX10.4u.sdk;
+				SDKROOT = macosx10.8;
 				ZERO_LINK = NO;
 			};
 			name = "Release-Tiger";
@@ -1069,13 +1080,18 @@
 			isa = XCBuildConfiguration;
 			buildSettings = {
 				ALWAYS_SEARCH_USER_PATHS = NO;
+				ARCHS = "$(ARCHS_STANDARD_64_BIT)";
+				CLANG_ENABLE_OBJC_ARC = YES;
 				COPY_PHASE_STRIP = YES;
 				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
 				GCC_ENABLE_FIX_AND_CONTINUE = NO;
 				GCC_MODEL_TUNING = G5;
+				GCC_VERSION = "";
 				INSTALL_PATH = /usr/local/bin;
+				MACOSX_DEPLOYMENT_TARGET = 10.6;
 				PREBINDING = NO;
 				PRODUCT_NAME = MPHelperInstallTool;
+				SDKROOT = macosx10.8;
 				ZERO_LINK = NO;
 			};
 			name = "Release-Tiger";
@@ -1084,13 +1100,18 @@
 			isa = XCBuildConfiguration;
 			buildSettings = {
 				ALWAYS_SEARCH_USER_PATHS = NO;
+				ARCHS = "$(ARCHS_STANDARD_64_BIT)";
+				CLANG_ENABLE_OBJC_ARC = YES;
 				COPY_PHASE_STRIP = YES;
 				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
 				GCC_ENABLE_FIX_AND_CONTINUE = NO;
+				GCC_ENABLE_OBJC_GC = NO;
 				GCC_MODEL_TUNING = G5;
 				INSTALL_PATH = /usr/local/bin;
+				MACOSX_DEPLOYMENT_TARGET = 10.6;
 				PREBINDING = NO;
 				PRODUCT_NAME = MPHelperTool;
+				SDKROOT = macosx10.8;
 				ZERO_LINK = NO;
 			};
 			name = "Release-Tiger";
@@ -1098,10 +1119,13 @@
 		216010B31094C7FC00EE9CD0 /* Release-Tiger */ = {
 			isa = XCBuildConfiguration;
 			buildSettings = {
+				ARCHS = "$(ARCHS_STANDARD_64_BIT)";
+				CLANG_ENABLE_OBJC_ARC = YES;
 				DYLIB_COMPATIBILITY_VERSION = 1;
 				DYLIB_CURRENT_VERSION = 1.2;
 				FRAMEWORK_VERSION = A;
 				GCC_ENABLE_OBJC_EXCEPTIONS = YES;
+				GCC_ENABLE_OBJC_GC = NO;
 				GCC_GENERATE_DEBUGGING_SYMBOLS = NO;
 				GCC_MODEL_TUNING = G5;
 				GCC_PRECOMPILE_PREFIX_HEADER = YES;
@@ -1114,7 +1138,9 @@
 				);
 				LIBRARY_SEARCH_PATHS_QUOTED_FOR_TARGET_1 = "\"$(SRCROOT)\"";
 				LIBRARY_SEARCH_PATHS_QUOTED_FOR_TARGET_2 = "\"$(SRCROOT)\"";
+				MACOSX_DEPLOYMENT_TARGET = 10.6;
 				PRODUCT_NAME = MacPorts;
+				SDKROOT = macosx10.8;
 				WRAPPER_EXTENSION = framework;
 				ZERO_LINK = NO;
 			};
@@ -1123,7 +1149,8 @@
 		216010B41094C7FC00EE9CD0 /* Release-Tiger */ = {
 			isa = XCBuildConfiguration;
 			buildSettings = {
-				ARCHS = "$(NATIVE_ARCH)";
+				ARCHS = "$(ARCHS_STANDARD_64_BIT)";
+				CLANG_ENABLE_OBJC_ARC = YES;
 				COPY_PHASE_STRIP = YES;
 				FRAMEWORK_SEARCH_PATHS = (
 					"$(value)",
@@ -1131,12 +1158,14 @@
 				);
 				GCC_ENABLE_FIX_AND_CONTINUE = NO;
 				GCC_ENABLE_OBJC_EXCEPTIONS = YES;
+				GCC_ENABLE_OBJC_GC = NO;
 				GCC_GENERATE_DEBUGGING_SYMBOLS = NO;
 				GCC_MODEL_TUNING = G5;
 				GCC_PRECOMPILE_PREFIX_HEADER = YES;
 				GCC_PREFIX_HEADER = "$(SYSTEM_LIBRARY_DIR)/Frameworks/Cocoa.framework/Headers/Cocoa.h";
 				INFOPLIST_FILE = "Test-Info.plist";
 				INSTALL_PATH = "$(USER_LIBRARY_DIR)/Bundles";
+				MACOSX_DEPLOYMENT_TARGET = 10.6;
 				OTHER_LDFLAGS = (
 					"-framework",
 					Cocoa,
@@ -1145,6 +1174,7 @@
 				);
 				PREBINDING = NO;
 				PRODUCT_NAME = Test;
+				SDKROOT = macosx10.8;
 				WRAPPER_EXTENSION = octest;
 				ZERO_LINK = NO;
 			};
@@ -1183,7 +1213,7 @@
 				);
 				PREBINDING = NO;
 				PRODUCT_NAME = MPHelperToolIPCTester;
-				SDKROOT = /Developer/SDKs/MacOSX10.5.sdk;
+				SDKROOT = macosx10.8;
 				ZERO_LINK = NO;
 			};
 			name = "Release-Tiger";
@@ -1192,13 +1222,17 @@
 			isa = XCBuildConfiguration;
 			buildSettings = {
 				ALWAYS_SEARCH_USER_PATHS = NO;
+				ARCHS = "$(ARCHS_STANDARD_64_BIT)";
+				CLANG_ENABLE_OBJC_ARC = YES;
 				COPY_PHASE_STRIP = YES;
 				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
 				GCC_ENABLE_FIX_AND_CONTINUE = NO;
+				GCC_ENABLE_OBJC_GC = NO;
 				GCC_MODEL_TUNING = G5;
 				GCC_PRECOMPILE_PREFIX_HEADER = YES;
 				GCC_PREFIX_HEADER = "$(SYSTEM_LIBRARY_DIR)/Frameworks/AppKit.framework/Headers/AppKit.h";
 				INSTALL_PATH = /usr/local/bin;
+				MACOSX_DEPLOYMENT_TARGET = 10.6;
 				OTHER_LDFLAGS = (
 					"-framework",
 					Foundation,
@@ -1207,6 +1241,7 @@
 				);
 				PREBINDING = NO;
 				PRODUCT_NAME = MPPortProcess;
+				SDKROOT = macosx10.8;
 				ZERO_LINK = NO;
 			};
 			name = "Release-Tiger";
@@ -1237,6 +1272,7 @@
 				LIBRARY_SEARCH_PATHS_QUOTED_FOR_TARGET_1 = "\"$(SRCROOT)\"";
 				LIBRARY_SEARCH_PATHS_QUOTED_FOR_TARGET_2 = "\"$(SRCROOT)\"";
 				PRODUCT_NAME = MacPorts;
+				SDKROOT = macosx10.8;
 				SYMROOT = build;
 				WRAPPER_EXTENSION = framework;
 				ZERO_LINK = NO;
@@ -1266,6 +1302,7 @@
 				LIBRARY_SEARCH_PATHS_QUOTED_FOR_TARGET_1 = "\"$(SRCROOT)\"";
 				LIBRARY_SEARCH_PATHS_QUOTED_FOR_TARGET_2 = "\"$(SRCROOT)\"";
 				PRODUCT_NAME = MacPorts;
+				SDKROOT = macosx10.8;
 				WRAPPER_EXTENSION = framework;
 				ZERO_LINK = NO;
 			};
@@ -1294,6 +1331,7 @@
 				LIBRARY_SEARCH_PATHS_QUOTED_FOR_TARGET_1 = "\"$(SRCROOT)\"";
 				LIBRARY_SEARCH_PATHS_QUOTED_FOR_TARGET_2 = "\"$(SRCROOT)\"";
 				PRODUCT_NAME = MacPorts;
+				SDKROOT = macosx10.8;
 				WRAPPER_EXTENSION = framework;
 				ZERO_LINK = NO;
 			};
@@ -1303,14 +1341,18 @@
 			isa = XCBuildConfiguration;
 			buildSettings = {
 				ALWAYS_SEARCH_USER_PATHS = NO;
+				ARCHS = "$(ARCHS_STANDARD_64_BIT)";
+				CLANG_ENABLE_OBJC_ARC = YES;
 				COPY_PHASE_STRIP = NO;
 				GCC_DYNAMIC_NO_PIC = NO;
 				GCC_ENABLE_FIX_AND_CONTINUE = YES;
+				GCC_ENABLE_OBJC_GC = NO;
 				GCC_MODEL_TUNING = G5;
 				GCC_OPTIMIZATION_LEVEL = 0;
 				GCC_PRECOMPILE_PREFIX_HEADER = YES;
 				GCC_PREFIX_HEADER = "$(SYSTEM_LIBRARY_DIR)/Frameworks/AppKit.framework/Headers/AppKit.h";
 				INSTALL_PATH = /usr/local/bin;
+				MACOSX_DEPLOYMENT_TARGET = 10.6;
 				OTHER_LDFLAGS = (
 					"-framework",
 					Foundation,
@@ -1319,6 +1361,7 @@
 				);
 				PREBINDING = NO;
 				PRODUCT_NAME = MPPortProcess;
+				SDKROOT = macosx10.8;
 			};
 			name = Debug;
 		};
@@ -1326,13 +1369,17 @@
 			isa = XCBuildConfiguration;
 			buildSettings = {
 				ALWAYS_SEARCH_USER_PATHS = NO;
+				ARCHS = "$(ARCHS_STANDARD_64_BIT)";
+				CLANG_ENABLE_OBJC_ARC = YES;
 				COPY_PHASE_STRIP = YES;
 				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
 				GCC_ENABLE_FIX_AND_CONTINUE = NO;
+				GCC_ENABLE_OBJC_GC = NO;
 				GCC_MODEL_TUNING = G5;
 				GCC_PRECOMPILE_PREFIX_HEADER = YES;
 				GCC_PREFIX_HEADER = "$(SYSTEM_LIBRARY_DIR)/Frameworks/AppKit.framework/Headers/AppKit.h";
 				INSTALL_PATH = /usr/local/bin;
+				MACOSX_DEPLOYMENT_TARGET = 10.6;
 				OTHER_LDFLAGS = (
 					"-framework",
 					Foundation,
@@ -1341,6 +1388,7 @@
 				);
 				PREBINDING = NO;
 				PRODUCT_NAME = MPPortProcess;
+				SDKROOT = macosx10.8;
 				ZERO_LINK = NO;
 			};
 			name = Release;
@@ -1348,7 +1396,8 @@
 		489DD8F70C94366000595506 /* Debug */ = {
 			isa = XCBuildConfiguration;
 			buildSettings = {
-				ARCHS = "$(NATIVE_ARCH)";
+				ARCHS = "$(ARCHS_STANDARD_64_BIT)";
+				CLANG_ENABLE_OBJC_ARC = YES;
 				COPY_PHASE_STRIP = NO;
 				FRAMEWORK_SEARCH_PATHS = (
 					"$(value)",
@@ -1357,6 +1406,7 @@
 				GCC_DYNAMIC_NO_PIC = NO;
 				GCC_ENABLE_FIX_AND_CONTINUE = NO;
 				GCC_ENABLE_OBJC_EXCEPTIONS = YES;
+				GCC_ENABLE_OBJC_GC = NO;
 				GCC_GENERATE_DEBUGGING_SYMBOLS = YES;
 				GCC_MODEL_TUNING = G5;
 				GCC_OPTIMIZATION_LEVEL = 0;
@@ -1364,6 +1414,7 @@
 				GCC_PREFIX_HEADER = "$(SYSTEM_LIBRARY_DIR)/Frameworks/Cocoa.framework/Headers/Cocoa.h";
 				INFOPLIST_FILE = "Test-Info.plist";
 				INSTALL_PATH = "$(USER_LIBRARY_DIR)/Bundles";
+				MACOSX_DEPLOYMENT_TARGET = 10.6;
 				ONLY_ACTIVE_ARCH = YES;
 				OTHER_LDFLAGS = (
 					"-framework",
@@ -1373,6 +1424,7 @@
 				);
 				PREBINDING = NO;
 				PRODUCT_NAME = Test;
+				SDKROOT = macosx10.8;
 				WRAPPER_EXTENSION = octest;
 				ZERO_LINK = NO;
 			};
@@ -1381,7 +1433,8 @@
 		489DD8F80C94366000595506 /* Release */ = {
 			isa = XCBuildConfiguration;
 			buildSettings = {
-				ARCHS = "$(NATIVE_ARCH)";
+				ARCHS = "$(ARCHS_STANDARD_64_BIT)";
+				CLANG_ENABLE_OBJC_ARC = YES;
 				COPY_PHASE_STRIP = YES;
 				FRAMEWORK_SEARCH_PATHS = (
 					"$(value)",
@@ -1389,12 +1442,14 @@
 				);
 				GCC_ENABLE_FIX_AND_CONTINUE = NO;
 				GCC_ENABLE_OBJC_EXCEPTIONS = YES;
+				GCC_ENABLE_OBJC_GC = NO;
 				GCC_GENERATE_DEBUGGING_SYMBOLS = NO;
 				GCC_MODEL_TUNING = G5;
 				GCC_PRECOMPILE_PREFIX_HEADER = YES;
 				GCC_PREFIX_HEADER = "$(SYSTEM_LIBRARY_DIR)/Frameworks/Cocoa.framework/Headers/Cocoa.h";
 				INFOPLIST_FILE = "Test-Info.plist";
 				INSTALL_PATH = "$(USER_LIBRARY_DIR)/Bundles";
+				MACOSX_DEPLOYMENT_TARGET = 10.6;
 				OTHER_LDFLAGS = (
 					"-framework",
 					Cocoa,
@@ -1403,6 +1458,7 @@
 				);
 				PREBINDING = NO;
 				PRODUCT_NAME = Test;
+				SDKROOT = macosx10.8;
 				WRAPPER_EXTENSION = octest;
 				ZERO_LINK = NO;
 			};
@@ -1412,14 +1468,18 @@
 			isa = XCBuildConfiguration;
 			buildSettings = {
 				ALWAYS_SEARCH_USER_PATHS = NO;
+				ARCHS = "$(ARCHS_STANDARD_64_BIT)";
+				CLANG_ENABLE_OBJC_ARC = YES;
 				COPY_PHASE_STRIP = NO;
 				GCC_DYNAMIC_NO_PIC = NO;
 				GCC_ENABLE_FIX_AND_CONTINUE = YES;
 				GCC_MODEL_TUNING = G5;
 				GCC_OPTIMIZATION_LEVEL = 0;
 				INSTALL_PATH = /usr/local/bin;
+				MACOSX_DEPLOYMENT_TARGET = 10.6;
 				PREBINDING = NO;
 				PRODUCT_NAME = MPHelperInstallTool;
+				SDKROOT = macosx10.8;
 			};
 			name = Debug;
 		};
@@ -1427,13 +1487,17 @@
 			isa = XCBuildConfiguration;
 			buildSettings = {
 				ALWAYS_SEARCH_USER_PATHS = NO;
+				ARCHS = "$(ARCHS_STANDARD_64_BIT)";
+				CLANG_ENABLE_OBJC_ARC = YES;
 				COPY_PHASE_STRIP = YES;
 				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
 				GCC_ENABLE_FIX_AND_CONTINUE = NO;
 				GCC_MODEL_TUNING = G5;
 				INSTALL_PATH = /usr/local/bin;
+				MACOSX_DEPLOYMENT_TARGET = 10.6;
 				PREBINDING = NO;
 				PRODUCT_NAME = MPHelperInstallTool;
+				SDKROOT = macosx10.8;
 				ZERO_LINK = NO;
 			};
 			name = Release;
@@ -1442,14 +1506,19 @@
 			isa = XCBuildConfiguration;
 			buildSettings = {
 				ALWAYS_SEARCH_USER_PATHS = NO;
+				ARCHS = "$(ARCHS_STANDARD_64_BIT)";
+				CLANG_ENABLE_OBJC_ARC = YES;
 				COPY_PHASE_STRIP = NO;
 				GCC_DYNAMIC_NO_PIC = NO;
 				GCC_ENABLE_FIX_AND_CONTINUE = YES;
+				GCC_ENABLE_OBJC_GC = NO;
 				GCC_MODEL_TUNING = G5;
 				GCC_OPTIMIZATION_LEVEL = 0;
 				INSTALL_PATH = /usr/local/bin;
+				MACOSX_DEPLOYMENT_TARGET = 10.6;
 				PREBINDING = NO;
 				PRODUCT_NAME = MPHelperTool;
+				SDKROOT = macosx10.8;
 			};
 			name = Debug;
 		};
@@ -1457,13 +1526,18 @@
 			isa = XCBuildConfiguration;
 			buildSettings = {
 				ALWAYS_SEARCH_USER_PATHS = NO;
+				ARCHS = "$(ARCHS_STANDARD_64_BIT)";
+				CLANG_ENABLE_OBJC_ARC = YES;
 				COPY_PHASE_STRIP = YES;
 				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
 				GCC_ENABLE_FIX_AND_CONTINUE = NO;
+				GCC_ENABLE_OBJC_GC = NO;
 				GCC_MODEL_TUNING = G5;
 				INSTALL_PATH = /usr/local/bin;
+				MACOSX_DEPLOYMENT_TARGET = 10.6;
 				PREBINDING = NO;
 				PRODUCT_NAME = MPHelperTool;
+				SDKROOT = macosx10.8;
 				ZERO_LINK = NO;
 			};
 			name = Release;
@@ -1491,7 +1565,7 @@
 				);
 				PREBINDING = NO;
 				PRODUCT_NAME = MPHelperToolIPCTester;
-				SDKROOT = /Developer/SDKs/MacOSX10.5.sdk;
+				SDKROOT = macosx10.8;
 			};
 			name = Debug;
 		};
@@ -1517,7 +1591,7 @@
 				);
 				PREBINDING = NO;
 				PRODUCT_NAME = MPHelperToolIPCTester;
-				SDKROOT = /Developer/SDKs/MacOSX10.5.sdk;
+				SDKROOT = macosx10.8;
 				ZERO_LINK = NO;
 			};
 			name = Release;
Only in MacPorts_Framework/MacPorts.Framework.xcodeproj: project.xcworkspace
Only in MacPorts_Framework/MacPorts.Framework.xcodeproj: xcuserdata
diff -ru MacPorts_Framework_orig/SimpleLog.m MacPorts_Framework/SimpleLog.m
--- MacPorts_Framework_orig/SimpleLog.m	2015-03-07 22:15:26.000000000 -0800
+++ MacPorts_Framework/SimpleLog.m	2015-03-06 06:35:04.000000000 -0800
@@ -8,6 +8,8 @@
  */
 
 #include "SimpleLog.h"
+//// Added
+#import "MPNotifications+IPCAdditions.h"
 
 #define MPSEPARATOR @"_&MP&_"
 
Only in MacPorts_Framework: build
